summaryrefslogtreecommitdiff
path: root/buildbot/checks.sh
diff options
context:
space:
mode:
Diffstat (limited to 'buildbot/checks.sh')
-rwxr-xr-xbuildbot/checks.sh20
1 files changed, 2 insertions, 18 deletions
diff --git a/buildbot/checks.sh b/buildbot/checks.sh
index a53d005..f529a11 100755
--- a/buildbot/checks.sh
+++ b/buildbot/checks.sh
@@ -1,21 +1,13 @@
#!/bin/bash
+set -eu
+
if test -z "${DEPLOYMENT}"; then
echo Please provide DEPLOYMENT env var: 'test' or 'demo'
exit 1
fi
DOMAIN="taler.net"
-##
-# Will stay as 'dummy' for 'demo' DEPLOYMENTs since we do
-# want to get this value ignored and the active deployment
-# to be checked.
-NONACTIVE_COLOR="notneeded"
-
-if test "test" = "${DEPLOYMENT}"; then
- NONACTIVE_COLOR="$(cat /home/test/nonactive)"
-fi
-
error_stringify ()
{
case $1 in
@@ -30,7 +22,6 @@ error_fmt="%s (http status code: %s)/(curl condition: %s - %s)\n"
URL="https://exchange.${DEPLOYMENT}.${DOMAIN}/"
http_status_code=$(curl \
- -H "X-Taler-Deployment-Color: ${NONACTIVE_COLOR}" \
-s "$URL" -o /dev/null \
-w "%{http_code}")
if ! test 200 = $http_status_code; then
@@ -43,7 +34,6 @@ fi
URL="http://backend.${DEPLOYMENT}.${DOMAIN}/"
http_status_code=$(curl \
- -H "X-Taler-Deployment-Color: ${NONACTIVE_COLOR}" \
-s $URL \
--header "Authorization: ApiKey sandbox" \
-o /dev/null \
@@ -59,7 +49,6 @@ fi
URL="https://shop.${DEPLOYMENT}.${DOMAIN}/"
http_status_code=$(curl \
- -H "X-Taler-Deployment-Color: ${NONACTIVE_COLOR}" \
-s $URL -o /dev/null \
-w "%{http_code}")
if ! test 200 = $http_status_code; then
@@ -72,7 +61,6 @@ fi
URL="https://survey.${DEPLOYMENT}.${DOMAIN}/"
http_status_code=$(curl \
- -H "X-Taler-Deployment-Color: ${NONACTIVE_COLOR}" \
-s $URL -o /dev/null \
-w "%{http_code}")
if ! test 200 = $http_status_code; then
@@ -85,7 +73,6 @@ fi
URL="https://donations.${DEPLOYMENT}.${DOMAIN}/"
http_status_code=$(curl \
- -H "X-Taler-Deployment-Color: ${NONACTIVE_COLOR}" \
-s $URL -o /dev/null \
-w "%{http_code}")
if ! test 200 = $http_status_code; then
@@ -98,7 +85,6 @@ fi
URL="https://bank.${DEPLOYMENT}.${DOMAIN}/"
http_status_code=$(curl \
- -H "X-Taler-Deployment-Color: ${NONACTIVE_COLOR}" \
-s $URL -o /dev/null \
-w "%{http_code}")
if ! test 302 = $http_status_code; then
@@ -111,7 +97,6 @@ fi
URL="https://${DEPLOYMENT}.${DOMAIN}/en/index.html"
http_status_code=$(curl \
- -H "X-Taler-Deployment-Color: ${NONACTIVE_COLOR}" \
-s $URL -o /dev/null \
-w "%{http_code}")
if ! test 200 = $http_status_code; then
@@ -126,7 +111,6 @@ fi
if test "test" = ${DEPLOYMENT}; then
URL="https://twister-backend.wild.gv.taler.net"
http_status_code=$(curl \
- -H "X-Taler-Deployment-Color: ${NONACTIVE_COLOR}" \
-H "Authorization: ApiKey sandbox" \
-s $URL -o /dev/null \
-w "%{http_code}")